<?php
     get_header();
     $options = get_desing_plus_option();
?>

<?php get_template_part('breadcrumb'); ?>

<div id="main_col">

  <?php
       // catch phrase ----------------------------------------------
       $headline = $options['archive_project_headline'];
       $desc = $options['archive_project_desc'];
       if($headline || $desc) {
         $headline_font_size = $options['archive_project_headline_font_size'];
         $desc_font_size = $options['archive_project_desc_font_size'];
  ?>
  <div id="archive_catchphrase" class="catchphrase">
   <?php if($headline) { ?>
   <h2 class="headline rich_font color_headline" style="font-size:<?php echo esc_html($headline_font_size); ?>px;"><?php echo esc_html($headline); ?></h2>
   <?php }; ?>
   <?php if($desc) { ?>
   <div class="desc" style="font-size:<?php echo esc_html($desc_font_size); ?>px;">
    <?php echo wpautop(esc_html($desc)); ?>
   </div>
   <?php }; ?>
  </div>
  <?php }; ?>

  <?php
    // カテゴリーフィルタリングを行うかのフラグ
    $is_cat_filter = false;

      $terms = get_terms('project-cat', array('parent' => 0, 'hide_empty' => 0));
      if (!empty($terms) && !is_wp_error($terms)) {
        echo '<ul id="project_catgory_sort" class="category clearfix">';

        $post_archive_link = get_post_type_archive_link('project');
        if (rtrim($post_archive_link, '/') !== home_url('')) {
            $is_cat_filter = true;
            $attr = ' class="active"';
            $attr .= ' data-cat-filter="all"';
          echo '<li class="current-cat"><a href="'.$post_archive_link.'"'.$attr.'><span>ALL</span></a></li>';
        }

        foreach($terms as $term) {
          if (is_category($term->slug)) {
            $attr = ' class="active"';
          } else {
            $attr = '';
          }
          if ($is_cat_filter) {
            $attr .= ' data-cat-filter="cat-'.$term->term_id.'"';
          }
          echo '<li><a href="'.get_term_link($term, 'project-cat').'"'.$attr.'><span>'.esc_html($term->name).'</span></a></li>';
        }
        echo '</ul>';
      }

  ?>

 <?php
      $args = array('post_type' => 'project', 'ignore_sticky_posts' => 1, 'orderby' => 'date', 'order' => 'DESC', 'posts_per_page' => -1);
      $post_list = get_posts($args);
      if ($post_list) {
 ?>
 <ol id="project_list" class="clearfix">
  <?php
       foreach ($post_list as $post) : setup_postdata ($post);
         $project_catch = get_post_meta($post->ID, 'project_catch', true);
  ?>
  <li class="clearfix article<?php
     if ($is_cat_filter) {
       $cat_ids = wp_get_post_terms($post->ID, 'project-cat', array('fields' => 'ids'));
       if ($cat_ids) {
         echo ' cat-'.implode(' cat-', $cat_ids);
       }
     }
   ?>">
   <a class="image" href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php if(has_post_thumbnail()) { the_post_thumbnail('size2'); } else { ?><img src="<?php echo bloginfo('template_url'); ?>/img/common/no_image5.gif" title="" alt="" /><?php }; ?></a>
   <a class="title" href="<?php the_permalink() ?>"><span class="project_title"><?php the_title(); ?></span><?php if(!empty($project_catch)) { ?><span class="project_catch"><?php echo esc_html($project_catch); ?></span><?php }; ?></a>
  </li>
  <?php endforeach; wp_reset_query(); ?>
 </ol><!-- END #project_list -->
 <?php }; ?>

</div><!-- END #main_col -->

<?php get_footer(); ?>
